www.cendio.com

Bug 5745

Summary: raise glibc requirements
Product: ThinLinc Reporter: Pierre Ossman <ossman@cendio.se>
Component: Build systemAssignee: Pierre Ossman <ossman@cendio.se>
Status: CLOSED FIXED QA Contact: Bugzilla mail exporter <bugzilla-qa@cendio.se>
Severity: Normal    
Priority: P2 CC: astrand@cendio.se, samuel@cendio.se
Version: pre-1.0Keywords: pcok, relnotes, samuel_tester
Target Milestone: 4.10.0   
Hardware: PC   
OS: Unknown   
Acceptance Criteria:
Bug Depends on:    
Bug Blocks: 5746, 7196    

Description From cendio 2015-12-07 16:07:22
At some point we should consider raising our requirements on glibc so that we
can make use of newer features.

For the server this is probably not a big issue as our requirements on other
things forces a new glibc anyway.

The big problem is the terminals which might be based on ancient distributions.
------- Comment #1 From cendio 2017-05-04 10:01:09 -------
I did an inventory and raising the requirement to 2.11.3 will still handle all
interesting terminals. This unfortunately doesn't get us the memcpy()
performance improvement (2.14), but it does mean we can have the same glibc for
all our build environments. It will probably also solve various minor
annoyances.

For reference, it is Wyse SUSE Linux 11 that has the oldest glibc. However RHEL
6 has 2.12 so we couldn't go much further even without Wyse. Third oldest is
RHEL 7 with 2.17.
------- Comment #2 From cendio 2018-05-30 13:58:58 -------
The old Wyse SUSE Linux 11 is on its way out anyway as we'll start looking at
it's replacement soon (bug 6199). Dell still claims these devices aren't EOL,
but they haven't been sold in years.

Let's not let these devices hold us back and we'll use RHEL 6 as a base for
everything.
------- Comment #5 From cendio 2018-05-30 16:27:20 -------
The upstream SLES 11 is also affected by this. Support for it ends in March
2019. That is not long after our next release is out, so it's not really a
problem dropping support for it.
------- Comment #13 From cendio 2018-05-31 14:54:33 -------
Should be all done. I cannot find any more references to wyse or glibc that
need changing.

I also tested the autotest by putting some Fedora binaries in
/opt/thinlinc/bin.
------- Comment #14 From cendio 2018-06-13 15:13:00 -------
I verified the code changes and couldn't find any more places that mention
glibc or wyse that needs to be updated. The documentation and release notes
looks good as well.